package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF2F3 extends MwfRequest<MWF2F3, MWF2F3Response> {

    @Parameter(name = "CIF")
    MWF2F3 cif(String cif);
    @Parameter(name = "CompanyName")
    MWF2F3 companyName(String companyName);
    @Parameter(name = "Date")
    MWF2F3 date(java.util.Date date);
    @Parameter(name = "DigitalSignatureIdentity")
    MWF2F3 digitalSignatureIdentity(String digitalSignatureIdentity);
    @Parameter(name = "GeneratedDocumentID")
    MWF2F3 generatedDocumentID(String generatedDocumentID);
    @Parameter(name = "ICO")
    MWF2F3 ico(String ico);
    @Parameter(name = "IdKlienta")
    MWF2F3 idKlienta(String idKlienta);
    @Parameter(name = "UserBirthDate")
    MWF2F3 userBirthDate(java.util.Date userBirthDate);
    @Parameter(name = "UserFirstName")
    MWF2F3 userFirstName(String userFirstName);
    @Parameter(name = "UserRole")
    MWF2F3 userRole(String userRole);
    @Parameter(name = "UserSecondName")
    MWF2F3 userSecondName(String userSecondName);
    @Parameter(name = "UserTitlePrefix")
    MWF2F3 userTitlePrefix(String userTitlePrefix);
    @Parameter(name = "UserTitleSuffix")
    MWF2F3 userTitleSuffix(String userTitleSuffix);
}
